%define name poldek
%define major 0

%define libname %mklibname %name %major

Summary:	PLD RPM packages management helper tool
Name:		%name
Version:	0.18.9
Release:	%mkrel 1
License:	GPL
Group:		System/Configuration/Packaging
Source0:	http://team.pld.org.pl/~mis/poldek/download/%{name}-%{version}.tar.bz2
Patch0:		poldek-0.18.9-gets.patch.bz2
URL:		http://team.pld.org.pl/~mis/poldek/
BuildRequires:	bzip2-devel
BuildRequires:	rpm-devel
BuildRequires:	openssl-devel
BuildRequires:	readline-devel
BuildRequires:	zlib-devel
BuildRequires:	pcre-devel
BuildRoot:	%_tmppath/%name-%version-%release-root

%description
poldek is an RPM package management tool which allows you to easily
perform package verification, installation (including system
installation from scratch), upgrading, and removal. 

Program can be used in batch (like apt-get from Debian's
APT) or interactive mode. The interactive mode puts you into a
readline interface with command line autocompletion and history,
similar to the shell mode of Perl's CPAN.

%package -n %libname
Summary: Library from poldek
Group: System/Libraries
Provides: lib%name = %version-%release

%description -n %libname
poldek is an RPM package management tool which allows you to easily
perform package verification, installation (including system
installation from scratch), upgrading, and removal.

This package contain libraries from poldek

%package -n %libname-devel
Summary: Development files from poldek
Group: Development/Other
Provides: %name-devel = %version-%release
Provides: lib%name-devel = %version-%release
Requires: %libname = %version-%release

%description -n %libname-devel
poldek is an RPM package management tool which allows you to easily
perform package verification, installation (including system
installation from scratch), upgrading, and removal.

This package contain development files need to build programs using
poldek library.

%prep 
%setup -q
%patch0 -p0 -b .gets

%build
%configure %{?_with_static:--enable-static}
%{__make} 

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_sysconfdir}

%{__make} install DESTDIR=$RPM_BUILD_ROOT

sed "s|/i686/|/%{_target_cpu}/|g" < conf/poldekrc.sample-mdk > $RPM_BUILD_ROOT/etc/%{name}.conf

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %libname -p /sbin/ldconfig

%postun -n %libname -p /sbin/ldconfig

%files -f %name.lang
%defattr(644,root,root,755)
%doc README* *sample* conf/poldekrc* NEWS TODO
%attr(644,root,root) %config(noreplace) %{_sysconfdir}/%{name}.conf
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man1/%{name}*
%{_mandir}/pl/man1/%{name}*

%files -n %libname
%defattr(644,root,root,755)
%doc README* *sample* conf/poldekrc* NEWS TODO
%_libdir/*.so.*

%files -n %libname-devel
%defattr(644,root,root,755)
%doc README* *sample* conf/poldekrc* NEWS TODO
%_includedir/*
%_libdir/*.a
%_libdir/*.la
%_libdir/*.so

%changelog
* Mon Sep 05 2005 Olivier Thauvin <nanardon@mandriva.org> 0.18.9-1mdk
- 0.18.9

* Tue May 10 2005 Olivier Thauvin <nanardon@mandriva.org> 0.18.8-2mdk
- rebuild for rpm4.4
- patch1: fix gcc4 compilation

* Wed Mar 30 2005 Olivier Thauvin <nanardon@mandrake.org> 0.18.8-1mdk
- initial mdk package
